jueves, 23 de mayo de 2013

Slackware 14.0 x86_64 / Slackware Current x86_64 / Aventura

Saludos ..

En el día de ayer, revise mi Sistema Operativo después de 8 meses de no reinstalar, y note que algunas de mis fuentes "Fonts" estaban funcionando mal, y para colmo de males, no actualizaba paquetes ni dejaba des-instalar paquetes ... no supe si era por las instalaciones compiladas de algunos software, o por que me chuzaron el sistema (Paranoico !!) o si se me jodió de tanto joder y joder con el Monitor Conky. ...


Entonces me lance a la aventura de cambiar de Slackware-13.37 x86_64 hacia Slackware-14.0 x86_64. 

Especificaciones de la maquina: 

  • Acer Aspire 8730-6919
  • Intel Core 2 Duo T6400
  • 18.4" Pantalla
  • Aceleradora Intel 4500MHD
  • 4GB DDR2
  • 320GB Hard Disk.
  • 802 11 a/b/g/Draft-n

Una AntiPortatil !!


La instalación del slackware-14.0 x86_64, no causo ningún problema; el sistema inicio perfecto, no molesto para nada lo cual decidí iniciar la actualización del sistema, usando SlackPkg y el mirror de la version stable, como siempre:

root@Mark1# slackpkg update
root@mark1# slackpkg upgrade-all

Cuando reinicio .... Inicio el lilo, inicio la carga del sistema y de repente ... "Pufff !!!" pantalla negra ...



Solución #1: 

Intento 1 - 10: "Entrar con el CD-ROM, cambiar las opciones del lilo de VGA = 791 y pasar por cada una de ellas.

Intento 11: "Dejar el lilo iniciando en solo texto .."


NOTA: No me dejo iniciar ni una terminal para actualizar a current, al parecer el problema era de Tarjeta de vídeo, los drivers no estaban instalados u los módulos de la tarjeta de vídeo no estaban arriba, y ademas como no me daba pantalla "No había forma de reparar".

PD: No hubo solución !!!





Solución #2

Re instalación del Slackware-14.0 x86_64, actualización del Sistema Operativo, usando el mirror Current ....

"Fue lo mejor que se me ocurrió en medio del afán"


La instalación del sistema no causo errores, lo cual procedí con la actualización usando el mirror "current".


root@Mark1# slackpkg update
root@mark1# slackpkg upgrade-all


Luego de invertir 5 horas instalando y actualizando el anterior sistema, me toco invertir 4 horas mas instalando el nuevo y actualizarlo a current ....


El sistema inicio y  "voil`a" .. dio imagen .. "Que alegria .. !! "


Inicie el proceso de pruebas del software que necesito y eh aquí los errores encontrados ....



Error #1
"Firefox" No inicia "Slackware-14 x86_64 current"

Cuando buscaba el "firefox" en el menú, y le daba ejecutar no iniciaba, lo cual decidí ejecutarlo en la terminal y entonces imprimió el siguiente error:

"libharfbuzz.so.0: cannot open shared object file: No such file or directory"


Solución:

Instalar el paquete:

root@Mark1# slackpkg install harfbuzz-0.9.16-x86_64-1



Error #2
"Pidgin" inicia, pero no logra cargar las fuentes "Letras" salen cuadritos en vez de letras

Solución:

Crear o abrir el siguiente archivo:

root@Mark1# vi /etc/pango/x86_64-slackware-linux/pango.modules

Agregar las siguiente lineas dentro de el. "Deberían de ser las únicas lineas"

/usr/lib64/pango/1.8.0/modules/pango-arabic-lang.so ArabicScriptEngineLang PangoEngineLang PangoRenderNone arabic:*
/usr/lib64/pango/1.8.0/modules/pango-indic-lang.so devaIndicScriptEngineLang PangoEngineLang PangoRenderNone devanagari:*
/usr/lib64/pango/1.8.0/modules/pango-indic-lang.so bengIndicScriptEngineLang PangoEngineLang PangoRenderNone bengali:*
/usr/lib64/pango/1.8.0/modules/pango-indic-lang.so guruIndicScriptEngineLang PangoEngineLang PangoRenderNone gurmukhi:*
/usr/lib64/pango/1.8.0/modules/pango-indic-lang.so gujrIndicScriptEngineLang PangoEngineLang PangoRenderNone gujarati:*
/usr/lib64/pango/1.8.0/modules/pango-indic-lang.so oryaIndicScriptEngineLang PangoEngineLang PangoRenderNone oriya:*
/usr/lib64/pango/1.8.0/modules/pango-indic-lang.so tamlIndicScriptEngineLang PangoEngineLang PangoRenderNone tamil:*
/usr/lib64/pango/1.8.0/modules/pango-indic-lang.so teluIndicScriptEngineLang PangoEngineLang PangoRenderNone telugu:*
/usr/lib64/pango/1.8.0/modules/pango-indic-lang.so kndaIndicScriptEngineLang PangoEngineLang PangoRenderNone kannada:*
/usr/lib64/pango/1.8.0/modules/pango-indic-lang.so mlymIndicScriptEngineLang PangoEngineLang PangoRenderNone malayalam:*
/usr/lib64/pango/1.8.0/modules/pango-indic-lang.so sinhIndicScriptEngineLang PangoEngineLang PangoRenderNone sinhala:*
/usr/lib64/pango/1.8.0/modules/pango-basic-fc.so BasicScriptEngineFc PangoEngineShape PangoRenderFc common:





Error #3
Al iniciar "Pidgin" en la termial imprime el siguiente error:

libexec/gvfsd exited with status 127

Error creating proxy: Error calling Start Service By Name for org.gtk.vfs.Daemon:



Solución:

Buscar en Internet en alguno de los repositorios de Slackware-14.0 X86_64,  el paquete "gvfs" que en mi caso tengo instalado gvfs-1.16.2-x86_64 y en Internet encontré el gvfs-1.16.2-1-x86_64. e instalarlo o reemplazarlo.

El procedimiento que realice fue el siguiente:

root@Mark1# wget http://ftp.slackware.com/pub/archlinux/extra/os/x86_64/gvfs-1.16.2-1-x86_64.pkg.tar.xz

Nota: El paquete descargado, fue un ".xz" lo cual me toco reemplazarlo a ".txz" para poder instalarlo.
 
root@Mark1# mv gvfs-1.16.2-1-x86_64.pkg.tar.xz gvfs-1.16.2-1-x86_64.pkg.tar.txz  

root@Mark1# upgradepkg --reinstall gvfs-1.16.2-1-x86_64.pkg.tar.txz




Error #4
El administrador de archivos "Dolphin" no funciona imprime los siguientes errores:


Error #4-1

dolphin: error while loading shared libraries: libnepomukwidgets.so.4: cannot open shared object file: No such file or directory

Solución:

root@Mark1# slackpkg install nepomuk-widgets-4.10.3-x86_64-1



Error #4-2

dolphin: error while loading shared libraries: libnepomukcore.so.4: cannot open shared object file: No such file or directory


Solución:

root@Mark1# slackpkg install nepomuk-core-4.10.3-x86_64-1





Error #5
Audacious no inicia.

Error que imprime al ejecutarlo en la terminal:

audacious: error while loading shared libraries: libatk-bridge-2.0.so.0: cannot open shared object file: No such file or directory


Solución:

root@Mark1# slackpkg install-new

NOTA: Instalarlos todos los paquetes que salen en la lista;  O  el paquete comprometido con este software el cual trae esa librería "at-spi2-atk-2.6.2"

"En mi caso yo instale todo."



NOTA: para debugear de manera adecuada un error cabe de anotar que cada software fue ejecutado en terminal para poder ver el error impreso.





Anexo:


Instalación Mplayer-Plugin "Slackware-current x86_64":

Este paquete es uno de los que mas terror me a causado en su instalación; "nunca me compila .."  hay demasiados errores .. pero .....  a alguien le compilo en la arquitectura "x86_64" y funciona .....


Instalación:


root@Mark1# wget http://slackware.cs.utah.edu/pub/slackware/slackware64-13.37/extra/mplayerplug-in/mplayerplug-in-3.55-x86_64-1.txz

root@Mark1# installpkg mplayerplug-in-3.55-x86_64-1.txz


FIN !! 


Ahora si puedo monitorear mi nagios con Sonidos .. !!!!




Espero les sirva ... Gracias por la atención !!!




2 comentarios:

  1. hola, me llamo julian.

    Hace dos años que uso slackware, ahora con la version 14. el 22 hicieron una actualización que generó problemas me tiene con la pzntalla en negro. en la pagina anunciaron la corrección en una nueva actualización pero como tengo la pantalla no he logrado hacer la actualizacion. ¿como puedo corregir el problema sin tener que reintalar todo?

    gracias por cualquier ayuda que me puedan brindar.

    ResponderEliminar
  2. El procedimiento de instalacion correcto es:

    slackpkg update
    slackpkg clean-system
    slackpkg upgrade-all
    slackpkg install-new

    Si se tiene un sistema limpio usando slackbuilds , no te genera problemas , si por otro lado te gusta compilar e instalar desordenadamente , nada te funcionara bien

    ResponderEliminar